{% extends "main/pjax_base.html" %}

{% load static %}
{% load crispy_forms_tags %}

{% block title %}Add new track{% endblock %}

{% block pjax_content %}
    <div class="container section">
        <div class="panel col-6 mx-auto">
            <div class="cover-img" style="background-image: url({% static 'main/img/new-track-cover.jpg' %})"></div>
            <div class="content">
                <h3 class="panel-header">Add new track</h3>
                <form method="POST" class="form-group" enctype="multipart/form-data" action="{% url 'new_track' %}">
                    {% if messages %}
                        {% for message in messages %}
                            <div class="alert alert-success section">{{ message }}</div>
                        {% endfor %}
                    {% endif %}

                    {% if form.poster.errors %}
                        <div class="alert alert-danger">
                            {{ form.poster.errors }}
                        </div>
                    {% endif %}

                    {% if form.audio.errors %}
                        <div class="alert alert-danger">
                            {{ form.audio.errors }}
                        </div>
                    {% endif %}

                    {% csrf_token %}
                    {{ form|crispy }}
                    <button type="submit" class="btn main-btn">Add</button>
                </form>
            </div>
        </div>
    </div>
{% endblock %}